local Addon, private = ...

setfenv(1, private)

-- Private methods
-- ============================================================================

local factories = { }

-- Public methods
-- ============================================================================

PageFactoryLocator = { }
function PageFactoryLocator.RegisterFactory(module, factory)
	if(string.prefix(module, "!#")) then
		error([[Modules beginning with "!#" are reserved by LibWiki.]], 3)
	end
	factories[module] = factory
end

function PageFactoryLocator.GetFactory(module)
	return factories[module]
end
