local Addon, private = ...

-- Move globals into private table
local copy = {
	-- Standard functions
	"assert", "collectgarbage", "dofile", "error", "_G", "getfenv", "getmetatable", "ipairs", "load",
	"loadfile", "loadsting", "next", "pairs", "pcall", "print", "rawequal", "rawget", "rawset", "select",
	"setfenv", "setmetatable", "tonumber", "tostring", "type", "unpack", "_VERSION", "xpcall",
	
	-- Builtin libraries
	"bit", "coroutine", "debug", "math", "os", "string", "table",
	
	-- Rift specific
	"Command", "dump", "Event", "Inspect", "UI", "UIParent", "Utility",
	
	-- Used libraries
	"LibAnimate", "zlib",
}
for i = 1, #copy do
	private[copy[i]] = _G[copy[i]]
end

-- Other setup stuff
if(Addon.toc.debug) then
	private.log = print
else
	private.log = function() end
end
